Bug 765420 - (GLUSTER-3688) Support volfile-generation hooks
Support volfile-generation hooks
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: krishnan parthasarathi
https://fedorahosted.org/pipermail/cl...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 13:57 EDT by Jeff Darcy
Modified: 2015-11-03 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Darcy 2011-10-03 13:57:35 EDT
This is pretty specific to HekaFS, but it would be nice if there were a way to hook into the volfile-generation process and let glusterd handle daemons and ports, instead of managing all of these related issues ourselves.  See the first part of the linked cloudfs-devel post for a more complete explanation.  In a moment, I'll post a patch implementing the generic part of this mechanism, in such a way that "vanilla" configurations will be unaffected.
Comment 1 Anand Avati 2011-11-24 00:11:49 EST
CHANGE: http://review.gluster.com/558 (Change-Id: I958c393ce5cfffcde8d120499a43dbe6105a082c) merged in master by Anand Avati (avati@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.